﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;
using System.IO.Ports;

namespace mem2
{
    public partial class Form1 : Form
    {
        Series dataVsetky;
        ulong vzCount = 0;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           // textBox1.Text = "Hello World";
            foreach (string s in SerialPort.GetPortNames())
            {
                comboBox1.Items.Add(s);
             }
            serialPort1.DataBits = 8;
            serialPort1.Parity = Parity.None;
            serialPort1.StopBits = StopBits.One;
            serialPort1.BaudRate = 9600;
            dataVsetky = chart1.Series.Add("Luxy");
          /*  for (int i = 0; i <= 100; i++)
            {
                dataVsetky.Points.Add(i);
            }*/
        }

        private void serialPort1_DataReceived(object sender, System.IO.Ports.SerialDataReceivedEventArgs e)
        {
            
            String lastLine;
            double lastValue;
            bool valueOK;
            try
            {
                lastLine = serialPort1.ReadLine();
                valueOK = true;
            }
            catch (System.ArgumentOutOfRangeException)
            {
                valueOK = false;
                lastLine = "0";
            }
            catch (System.OverflowException)
            {
                valueOK = false;
                lastLine = "0";
            }
             catch (System.IndexOutOfRangeException)
            {
                valueOK = false;
                lastLine = "0";
            }
            if (this.InvokeRequired)
            {
                this.BeginInvoke(new EventHandler<SerialDataReceivedEventArgs>(serialPort1_DataReceived), new object[] { sender, e });
                return;
            }
            if (dataVsetky.Points.Count >= 50)
            {
                dataVsetky.Points.Remove(dataVsetky.Points.First());
            }
            try
            {
                lastValue = Convert.ToDouble(lastLine);
                if (valueOK == true)       ///PREPISAT
                {
                    if (lastValue <= 2500 && lastValue >= 0)
                    {
                        dataVsetky.Points.Add(lastValue);               // print resul
                        vzCount++;
                        if (vzCount % 10 == 0)
                        {
                            dataVsetky.AxisLabel = System.DateTime.Now.TimeOfDay.ToString(); //skontrolovat
                        }
                    }
                    
                }
            }
            catch(FormatException)
            {
               // dataVsetky.Points.Add(0);
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void comboBox1_DropDownClosed(object sender, EventArgs e)
        {
            try
            {
                serialPort1.Close();
                serialPort1.PortName = comboBox1.SelectedItem.ToString();
                serialPort1.Open();
            }
            catch (System.NullReferenceException)
            { }
            catch (System.ArgumentException)
            { }
        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void label4_Paint(object sender, PaintEventArgs e)
        {

        }

        private void label3_Click(object sender, EventArgs e)
        {

        }
    }
}
